<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
           xmlns:xewaffe="https://gitlab.opencode.de/akdb/xoev/xewaffe/-/raw/main/V1_4_0"
           targetNamespace="https://gitlab.opencode.de/akdb/xoev/xewaffe/-/raw/main/V1_4_0"
           version="1.4.0"
           elementFormDefault="qualified"
           attributeFormDefault="unqualified">
   <xs:annotation>
      <xs:appinfo>
         <standard>
            <nameLang>XeWaffe</nameLang>
            <nameKurz>XeWaffe</nameKurz>
            <nameTechnisch>xewaffe</nameTechnisch>
            <kennung>urn:xoev-de:stmd:standard:xewaffe</kennung>
            <beschreibung>Der Standard XeWaffe deckt den Bedarf des Betreibers sowie den weiterer Stakeholder
am Transport von digitalen (OZG-) Anträgen im Kontext waffenrechtlicher Erlaubnisse ab.</beschreibung>
         </standard>
         <versionStandard>
            <version>1.4.0</version>
            <beschreibung>Die mit diesem Release vorgenommenen Änderungen sind dem Anhang F der Spezifikation zu entnehmen.</beschreibung>
            <versionXOEVProfil>3.0.3</versionXOEVProfil>
            <versionXOEVHandbuch>3.0.2</versionXOEVHandbuch>
            <versionXGenerator>3.1.1</versionXGenerator>
            <versionModellierungswerkzeug>2024x</versionModellierungswerkzeug>
            <nameModellierungswerkzeug>MagicDraw</nameModellierungswerkzeug>
         </versionStandard>
      </xs:appinfo>
   </xs:annotation>
   <xs:include schemaLocation="xewaffe-baukasten.xsd"/>
   <xs:element name="administration.rueckweisung.0010">
      <xs:annotation>
         <xs:appinfo>
            <rechtsgrundlage>§ 8 WaffG;§ 14 (2) WaffG;§ 14 (3) WaffG</rechtsgrundlage>
            <title>Rückweisung einer Nachricht</title>
         </xs:appinfo>
         <xs:documentation>Mit dieser Nachricht wird eine an den Leser gerichtete Ursprungsnachricht als fehlerhaft an den Autor zurückgewiesen. Die erhaltene Nachricht wurde nicht verarbeitet. Diese Nachricht ist für die Verwendung in asynchronen Prozessen konzipiert. Auf eine Nachricht vom Typ administration.rueckweisung.0010 erfolgt keine weitere Nachricht.</xs:documentation>
      </xs:annotation>
      <xs:complexType>
         <xs:complexContent>
            <xs:extension base="xewaffe:Nachricht.G2GType">
               <xs:sequence>
                  <xs:element name="rueckweisung" type="xewaffe:Rueckweisung">
                     <xs:annotation>
                        <xs:documentation>Hier werden alle Informationen zur Rückweisung einer Nachricht angegeben.</xs:documentation>
                     </xs:annotation>
                  </xs:element>
               </xs:sequence>
            </xs:extension>
         </xs:complexContent>
      </xs:complexType>
   </xs:element>
   <xs:element name="administration.quittung.0020">
      <xs:annotation>
         <xs:appinfo>
            <rechtsgrundlage>§21 WaffG; §37a-d WaffG nF; §37f WaffG nF; §9 (2) WaffRG</rechtsgrundlage>
            <title>Quittung transportieren</title>
         </xs:appinfo>
         <xs:documentation>Mit dieser Nachricht wird eine Quittung transportiert. Diese wird durch jede Nachricht ausgelöst. Die ID der Quittungsnachricht wird im Feld nachrichtenkopf/identifikation.nachricht/nachrichtenUUID und die ID der Nachricht, die quittiert wird, wird im Feld nachrichtenkopf/referenzUUID abgelegt. Auf eine Nachricht vom Typ administration.quittung.0020 wird keine Antwort mehr übermittelt, auch keine weitere Quittungsnachricht.</xs:documentation>
      </xs:annotation>
      <xs:complexType>
         <xs:complexContent>
            <xs:extension base="xewaffe:Nachricht.G2GType">
               <xs:sequence>
                  <xs:element name="identifikationVorgang" type="xewaffe:Identifikation.Vorgang">
                     <xs:annotation>
                        <xs:documentation>Eindeutige Identifizierung des Vorgangs, auf den Bezug genommen werden soll.</xs:documentation>
                     </xs:annotation>
                  </xs:element>
                  <xs:element name="quittung" type="xewaffe:Status">
                     <xs:annotation>
                        <xs:documentation>Mit diesem Element wird eine Nachricht in Form eines technischen oder zusätzlich auch in Form eines fachlichen Status quittiert.</xs:documentation>
                     </xs:annotation>
                  </xs:element>
               </xs:sequence>
            </xs:extension>
         </xs:complexContent>
      </xs:complexType>
   </xs:element>
</xs:schema>
